PHP 5.2 / 5.3 / 5.4

PHP Nepaisydami karštų vasaros orų, neatostogaujame – dirbame išsijuosę toliau tobulindami Serveriai.lt hostingo platformą mūsų klientams. Naujausias pasiekimas – dinaminė PHP versija, kurią galite realiu laiku pasirinkti pagal savo projekto poreikius. Daugiau nebereikia svarstyti prieš užsakant paslaugas kurios versijos jums reikės – galite naudotis bet kuria!

Nustatyti vieną iš trijų PHP versijų savo talpinimo planui galite prisijungę prie DirectAdmin valdymo pulto, ir puslapio apačioje pasirinkę PHP 5.2, PHP 5.3 arba PHP 5.4. Versija pakeičiama akimirksniu – t.y. sustabdomi tuo metu vykę jūsų svetainės procesai ir naujos užklausos pradedamos aptarnauti su jūsų pasirinkta PHP versija.

Vienam talpinimo planui galima tik viena PHP versija, tačiau jei naudojatės Didmeniniu talpinimo planu – savo svetainėms galite įkurti atskirus virtualius serverius su skirtingomis PHP versijomis.

MySQL duomenų bazės versija yra 5.5 (InnoDB 1.1) nepriklausomai nuo PHP versijos.

SVARBU! Atkreipkite dėmesį, kad PHP 5.4 versija dar neturi atitinkamo Zend Guard Loader palaikymo, todėl su Zend Encoder užkoduotos programos gali būti vykdomos tik PHP 5.2 arba PHP 5.3 aplinkoje. ionCube palaikymą turi visos PHP versijos.

PASTABA: Dinaminė PHP versija iš karto aktyvuojama visiems naujai įkūriamiems talpinimo planams. Visiems kitiems talpinimo planams ši galimybė aktyvuojama palaipsniui ir liepos mėn. pabaigoje ją turės visi Serveriai.lt klientai. Serveriuose su PHP 4 dinaminė PHP versija, deja, negalima dėl PHP 4 architektūros nesuderinamumo.

16 komentarų

  1. Geras, pries pat email’a pamaciau direct admin’e kad galima keisti ir galvojau, kad praziopsojes busiu, o va cia pasirodo naujas feature’as 🙂 Super! 🙂

  2. Turiu 2 vartotojus vienas ieva.serveriai.lt kitas azalija.lt abieju planas identiskas, taciau azalijoj yra sita funcija, o ievoj ne 🙂 Ieva pirktas seniau planas.

      • pabandau naudotis šia funkcija, tačiau phpinfo rodo, kad vis tiek maniškis serveris dirba su sena PHP versija. Kaip galima pakeisti?

        • Greičiausiai jūsų svetainė yra sename PHP4/MySQL4 serveryje, kuris nesuderinamas su nauja PHP5/MySQL5 programine įranga. Tokiu atveju galite užsakyti naują planą ir rankiniu būdu perkelti duomenis į naują serverį. Atkreipkite dėmesį, kad migruojant svetainę iš PHP4 į PHP5 reikės programuotojo pagalbos adaptuojant svetainės kodą – pasverkite ar tikrai esate pasiruošę tokiai migracijai.

  3. Labai gerai. Man prireike praita savaite sake kaip tik vyksta atnaujinimas per dvi savaites bus padaryta. Buvo padaryta dar greiciau. Dekui uz tokia funkcija man ji tikrai labai reikalinga buvo. saunu! O dabar toliau prie darbu 😀

  4. Sveiki,

    1- Gal galite paprastai pasakyti, kuriam projekto etape reikalingas pasirinkti PHP?
    Kas tai atlieka: IT ar paprastas personalo darbuiotojas atsakingas už tekstų talpinimą web?
    2-Kas yra virtualūs serveriai, čia galima panaudoti pvz įmonės dok. talpinimui?

    😉

    • 1. Anksčiau PHP reikėdavo pasirinkti talpinimo plano užsakymo metu, tuo tarpu dabar galima bet kada.

      2. Virtualaus serverio paslauga – tai vietos jūsų internetiniam projektui, el. paštui bei duomenų bazei suteikimas patikimame, galingame, prie spartaus interneto ryšio kanalo pajungtame serveryje. Taip, ši paslauga tinka ir įmonės dokumentų talpinimui.

  5. sveiki, puikios naujienos, sveikinu.

    Tačiau iki idealumo trūksta PHP versijos pasirinkimo kiekvienam domainui atskirai, o ne globalaus nustatymo. Gal žadate tai realizuoti?

    • Teoriškai tai įmanoma realizuoti, tačiau tokiu atveju gerokai sumažėtų svetainėms tenkanti CPU dalis (ji būtų padalinta iš naudojamų PHP versijų skaičiaus). O tas jau būtų labai nepraktiška iš kliento pusės.

Parašykite komentarą

El. pašto adresas nebus skelbiamas. Būtini laukeliai pažymėti *